### Method

# Gcr Certificate get_basic_constraints

#### Declaration [src]

    gboolean
    gcr_certificate_get_basic_constraints (
      GcrCertificate* self,
      gboolean* is_ca,
      gint* path_len
    )

#### Description [src]

Get the basic constraints for the certificate if present. If `FALSE` is returned then no basic constraints are present and the `is_ca` and `path_len` arguments are not changed.

#### Parameters

`is_ca`

  Type: `gboolean*`

  Location to place a `TRUE` if is an authority.

  The argument will be set by the function.
  The argument can be `NULL`.

`path_len`

  Type: `gint*`

  Location to place the max path length.

  The argument will be set by the function.
  The argument can be `NULL`.

#### Return value

Type: `gboolean`

Whether basic constraints are present or not.